/*
 * arch/arm/include/asm/hardware/pmc.h
 *
 * MPCore Performance Monitor Register Access
 *
 * Copyright 2005,2006,2007,2008,2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */
#ifndef __ASM_HARDWARE_PMC_H__
#define __ASM_HARDWARE_PMC_H__

#define PMC_PMNC 0
# define PMNC_E		0x00000001
# define PMNC_PMNX_CLR	0x00000002
# define PMNC_CCNT_CLR	0x00000004
# define __PMC_RESTART	0x07
# define PMNC_IEN_PMN0	0x00000010
# define PMNC_IEN_PMN1	0x00000020
# define PMNC_IEN_CCNT	0x00000040
# define PMNC_OVF_PMN0	0x00000100
# define PMNC_OVF_PMN1	0x00000200
# define PMNC_OVF_CCNT	0x00000400
# define PMNC_OVF_MASK	0x00000700
# define PMNC_PMN0_SHIFT 20
# define PMNC_PMN1_SHIFT 12
#define PMC_CCNT 1
#define PMC_PMN0 2
#define PMC_PMN1 3

#define rdpmc(id,val) \
	asm volatile ("mrc p15,0,%0,c15,c12," __stringify(id) \
		      :"=r"(val)::"cc");
#define wrpmc(id,val) \
	asm volatile ("mcr p15,0,%0,c15,c12," __stringify(id) \
                      ::"r"(val):"cc");

#ifdef CONFIG_OPROFILE
static inline void pmc_restart(unsigned char ev1, unsigned char ev2)
{
}
#else
static inline void pmc_restart(unsigned char ev1, unsigned char ev2)
{
	register unsigned int pmnc;

	pmnc = (ev1 << 20) | (ev2 << 12) | __PMC_RESTART;
	asm volatile("mcr p15,0,%0,c15,c12,0" ::"r"(pmnc):"cc");
}
#endif /* CONFIG_OPROFILE */
#endif /* __ASM_HARDWARE_PMC_H__ */
