/*
 * arch/arm/mach-cxd4115/dma.c
 *
 *
 * Copyright 2007,2008,2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */
#include <linux/module.h>
#include <asm/delay.h>
#include <mach/dma.h>

int dma_stop(unsigned int ch)
{
	int retry = 3;
	unsigned long cfg;

	while (unlikely((cfg = readl(DMACCCONFIGURATION_(ch))) & DMACCCONFIG_ENABLE) && retry > 0) {
		printk("DMAC Halt(retry = %d) cfg = 0x%08lx\n", retry, cfg);
		writel(DMACCCONFIG_HALT, DMACCCONFIGURATION_(ch));
		writel(0, DMACCLLI_(ch));
		udelay(10);
		writel(0, DMACCCONFIGURATION_(ch));
		retry--;
	}

	if (unlikely(!retry))
		return -EIO;

	return 0;
}

EXPORT_SYMBOL(dma_stop);
