/*
 * include/asm-arm/arch-cxd4115/regs-bridge.h
 *
 * Bridge registers
 *
 * Copyright 2008,2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */
#ifndef __CXD4115_REGS_BRIDGE_H__
#define __CXD4115_REGS_BRIDGE_H__

/* register offset */
#define LINEBUF_MODE		0x80
# define LINEBUF_OO		 0x40
# define LINEBUF_FULLREAD	 0x20
# define LINEBUF_ENABLE		 0x10
# define LINEBUF_INV		 0x00 /* bit3..0 */

#ifdef __ASSEMBLY__
	.macro	lcache_init, rx, ry
	ldr	\rx, =CXD4115_BRIDGE(0)
	mrc	p15, 0, \ry, c0, c0, 5	@ CPUID
	and	\ry, \ry, #0x0f
	orr	\rx, \ry, lsl #13	@ cpuid * 0x2000
#ifdef CONFIG_CXD4115_LINECACHE
	mov	\ry, #(LINEBUF_ENABLE|LINEBUF_INV)
#else
	mov	\ry, #0
#endif
	str	\ry, [\rx, #LINEBUF_MODE]
	.endm

	@ for PHYS
	.macro	lcache_phys_inv, rx, ry
#ifdef CONFIG_CXD4115_LINECACHE
	ldr	\rx, =CXD4115_BRIDGE(0)
	mrc	p15, 0, \ry, c0, c0, 5	@ CPUID
	and	\ry, \ry, #0x0f
	orr	\rx, \ry, lsl #13	@ cpuid * 0x2000
	mov	\ry, #(LINEBUF_ENABLE|LINEBUF_INV)
	str	\ry, [\rx, #LINEBUF_MODE]
#endif
	.endm

	@ for VIRT
	.macro	lcache_inv, rx, ry
#ifdef CONFIG_CXD4115_LINECACHE
	ldr	\rx, =VA_BRIDGE(0)
	mrc	p15, 0, \ry, c0, c0, 5	@ CPUID
	and	\ry, \ry, #0x0f
	orr	\rx, \ry, lsl #13	@ cpuid * 0x2000
	mov	\ry, #(LINEBUF_ENABLE|LINEBUF_INV)
	str	\ry, [\rx, #LINEBUF_MODE]
#endif
	.endm
#endif /* __ASSEMBLY__ */
#endif /* __CXD4115_REGS_BRIDGE_H__ */
