/*
 * include/asm-arm/arch-cxd4115/regs-misc.h
 *
 * MISCCTRL registers
 *
 * Copyright 2008,2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */
#ifndef __REGS_MISC_H__
#define __REGS_MISC_H__

#define MISCCTRL_DATA		0x00
#define MISCCTRL_SET		0x04
#define MISCCTRL_CLR		0x08

#define VA_MISCCTRL_DATA(x)	(VA_MISCCTRL(x) + MISCCTRL_DATA)
#define VA_MISCCTRL_SET(x)	(VA_MISCCTRL(x) + MISCCTRL_SET)
#define VA_MISCCTRL_CLR(x)	(VA_MISCCTRL(x) + MISCCTRL_CLR)

#define MISCCTRL_TYPEID		2
# define TYPEID_IDMASK		0xff00
#  define TYPEID_CXD4115	0x0000
#  define TYPEID_CXD9938	0x8000
#  define TYPEID_CXDXXXX	0x0200
#  define TYPEID_CXD4120	0x0100
#define MISCCTRL_XRESETREQ	3

#endif /* __REGS_MISC_H__ */
