/*
 * include/asm-arm/arch-cxd4115/regs-octrl.h
 *
 * OCTRL registers
 *
 * Copyright 2007,2008,2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */
#ifndef __REGS_OCTRL_H__
#define __REGS_OCTRL_H__

#define OCTRL_DATA		0x00
#define OCTRL_SET		0x04
#define OCTRL_CLR		0x08

#define VA_OCTRL_DATA(x)	(VA_OCTRL(x) + OCTRL_DATA)
#define VA_OCTRL_SET(x)		(VA_OCTRL(x) + OCTRL_SET)
#define VA_OCTRL_CLR(x)		(VA_OCTRL(x) + OCTRL_CLR)

#define OCTRL64_PIN_ATA		0x00000004
#define OCTRL64_RCV_ATA		0x00000002
#define OCTRL64_DRV_ATA		0x00000001

#define OCTRL324_PCI_XRESET_OE	0x00000004
#define OCTRL324_PCI_XGNTTS_OE	0x00000002
#define OCTRL324_PCI_CLKOUT_OE	0x00000001

#endif /* __REGS_OCTRL_H__ */
