/*
 * arch/arm/mach-cxd4115/speed.c
 *
 * Speed notify
 *
 * Copyright 2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */
#include <linux/init.h>
#include <linux/irqflags.h>
#include <mach/localtimer.h>
#include <mach/pm.h>

/* For testing ONLY */
static unsigned long cpuclk[2] = { 156000000, 78000000 };
static unsigned int speed = 0; /* 0: full speed */

static unsigned long get_localtimer_rate(void)
{
	return cpuclk[speed] >> 1;
}

void cxd41xx_speed_notify(void)
{
#ifdef CONFIG_EJ_USE_TICK_TIMER
	unsigned long flags;
	unsigned int old_speed;

	local_irq_save(flags);

	old_speed = speed;
	speed = (0 == old_speed) ? 1 : 0; /* toggle for testing */

	/* Adjust localtimers */
	twd_calibrate_rate_all(get_localtimer_rate());

	local_irq_restore(flags);
#endif /* CONFIG_EJ_USE_TICK_TIMER */
}
