/* 2009-11-12: File added and changed by Sony Corporation */
/*
 * linux/arch/arm/mach-ne1/include/mach/io.h
 *
 * Copyright (C) NEC Electronics Corporation 2007, 2008
 *
 * This file is based on include/asm-arm/arch-realview/io.h
 *
 * Copyright (C) 2003 ARM Limited
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307	 USA
 */

#ifndef __ASM_ARCH_IO_H
#define __ASM_ARCH_IO_H

#include <mach/hardware.h>
#include <mach/platform.h>


#define IO_SPACE_LIMIT		0xffffffff


/*
 * WARNING: NE1 ES1.0 has the problem on external PCI bus access
 */
#ifndef CONFIG_SNSC_NE1TB_QEMU_PCI
#if defined(CONFIG_MMU) && defined(CONFIG_MACH_NE1TB)
#define __pci_io		(NE1_PCI_IO_VIRT_BASE)
#else
#define __pci_io		(NE1_BASE_PCI)
#endif
#else /* !CONFIG_SNSC_NE1TB_QEMU_PCI */
#if defined(CONFIG_MMU) && defined(CONFIG_MACH_NE1TB)
#define __pci_io		(NE1_QEMU_PCI_IO_VIRT_BASE - NE1_QEMU_PCI_IO_BASE0)
#else
#define __pci_io		(0)
#endif
#endif

static inline void __iomem *__io(unsigned long addr)
{
	return (void __iomem *)(addr + __pci_io);
}

#define __io(a)			__io(a)
#define __mem_pci(a)		(a)


#endif /* __ASM_ARCH_IO_H */
