/*
 * noncache-common.h
 *
 * Physical address to NonCacheable address converter
 *
 * Copyright 2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */

#ifndef __PLAT_CXD41XX_INCLUDE_MACH_NONCACHE_H
#define __PLAT_CXD41XX_INCLUDE_MACH_NONCACHE_H
/*
 * PA2NC_ERR - Return value on error
 *   CAUTION: This value should be within 0x00000000..0x00000fff.
 *            0x00000000..0x000000ff is recommended.
 */
#define PA2NC_ERR	(0UL)

#define PA2NC_IN(addr, range)	(PA2NC_##range##_START <= (addr) \
				  && (addr) < PA2NC_##range##_END)

#define PA2NC_END(dev, type)	(PA2NC_##type##_##dev##_START + PA2NC_##dev##_SIZE)

/* misc macros */
#define VA_TO_NONCACHE(x)	PHYS_TO_NONCACHE(VA_TO_PHYS(x))
#define VA_TO_CACHE(x)		PHYS_TO_CACHE(VA_TO_PHYS(x))

#endif /* __PLAT_CXD41XX_INCLUDE_MACH_NONCACHE_H */
