/*
 * arch/arm/plat-cxd41xx/include/mach/smp.h
 *
 * Copyright 2009,2010 Sony Corporation
 *
 * This code is based on arch/arm/mach-realview/include/mach/smp.h.
 */
#ifndef ASMARM_ARCH_SMP_H
#define ASMARM_ARCH_SMP_H

#include <linux/init.h>
#include <mach/gic.h>
#include <mach/irqs.h>

#define hard_smp_processor_id()			\
	({						\
		unsigned int cpunum;			\
		__asm__("mrc p15, 0, %0, c0, c0, 5"	\
			: "=r" (cpunum));		\
		cpunum &= 0x0F;				\
	})

/*
 * We use IRQ1 as the IPI
 */
static inline void smp_cross_call(cpumask_t callmap)
{
	gic_raise_softirq(callmap, IRQ_IPI);
}

/*
 * Do nothing on MPcore.
 */
static inline void smp_cross_call_done(cpumask_t callmap)
{
}

extern unsigned int phys_cpuid(unsigned int cpu);
extern cpumask_t phys_cpumap(cpumask_t cpumap);
extern volatile int pen_release;

#endif
