/*-----------------------------------------------------------------------------
 * drivers/usb/scd/scd_hfifo.h
 * 
 * Host FIFO definitions
 * 
 * Copyright 2011 Sony Corporation
 *
 * This file is part of the HS-OTG Controller Driver SCD.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 *---------------------------------------------------------------------------*/

#ifndef _USB_SCD_HFIFO_H_
#define _USB_SCD_HFIFO_H_

/* service */
extern void scd_device_host_load_fifo(struct usb_hcd *hcd, u8 ep_type, 
	u8 index, u32 len, u32* src);
extern void scd_device_host_unload_fifo(struct usb_hcd *hcd, u8 ep_type,
	u8 index, u32 len, u32* src);
/*
 * Reset dynamic FIFO size
 *
 * @param hcd controller driver instance pointer
 */
extern void scd_host_fifo_reset(struct usb_hcd *hcd);

/*
 * map dynamic FIFO for specified ep
 *
 * @param hcd controller driver instance pointer
 */
extern void scd_host_fifo_map(struct usb_hcd *hcd);

/*
 * dump FIFO map
 *
 *
 * @param hcd controller driver instance pointer
 */
extern void scd_fifo_dump(struct usb_hcd *hcd);

#endif				/* _USB_SCD_HFIFO_H_ */
