/*--------------------------------------------------------------------------*
 * drivers/usb/scd/scd_otg.h
 * 
 * OTG definitions
 * 
 * Copyright 2011 Sony Corporation
 *
 * This file is part of the HS-OTG Controller Driver SCD.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 *---------------------------------------------------------------------------*/

#ifndef _SCD_OTG_H_
#define _SCD_OTG_H_

/*
 *	scd otgեåؿ
 */

typedef int (*scd_otg_notify)(union usb_otg_event *);

extern struct usb_otg_control *scd_otg_lookup_control_by_name(const char* name);
extern int scd_otg_hook_notify(struct usb_otg_control *control,
			       scd_otg_notify new);
extern struct usb_otg_control_ops* scd_otg_hook_ops(struct usb_otg_control *control,
						    struct usb_otg_control_ops *new);

#endif  /* _SCD_OTG_H_ */
