/*
 * include/linux/decompress_driver.h
 *
 *
 * Copyright 2008,2009,2010 Sony Corporation
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 *
 */
#ifndef __DECOMPRESS_DRIVER_H
#define __DECOMPRESS_DRIVER_H

#include <linux/list.h>
#include <linux/mm.h>

#define DECOMPRESS_FLAG_LZO	0x00000001
#define DECOMPRESS_FLAG_LZ77	0x00000002

struct decompress_driver {
	struct list_head list;
	u32 flag;
	int (*decompress)(void *dst, u32 dstlen, void *src, u32 srclen, void *data);
	void *data;
};

extern int decompress_driver_register(struct decompress_driver *driver);
extern void decompress_driver_unregister(struct decompress_driver *driver);
extern u32 call_decompress_driver(u32 flags, void *dst, u32 dstlen, void *src, u32 srclen);

#endif /* __DECOMPRESS_DRIVER_H */
