/*--------------------------------------------------------------------------*
 * include/linux/usb/scd/ups.h
 * 
 * USB port selector API
 * 
 * Copyright 2011 Sony Corporation
 *
 * This file is part of the USB port selecter driver UPS.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 *---------------------------------------------------------------------------*/

#ifndef _UPS_H_
#define _UPS_H_

/*
 *	ݡ¤
 */

enum ups_io_type {
        UPS_IO_TYPE_HFIX,
        UPS_IO_TYPE_LFIX,
        UPS_IO_TYPE_MISC,
        UPS_IO_TYPE_GPIO,
        UPS_IO_TYPE_GPIOX,
};

struct ups_io {
        enum ups_io_type type;
        unsigned char gpio_port;
        unsigned int gpio_bit;
};

#define UPS_MAX_PORT_NUM	2

struct ups_port_descriptor {
        unsigned char port_num;     /* number of ports */
        struct {
                struct ups_io cid;
                struct ups_io vbus;
	} port[UPS_MAX_PORT_NUM];
	struct ups_io select;
};

/*
 *	ݡϿؿ
 */

extern struct usb_otg_control *ups_lookup_control_by_name(const char* name);
extern int ups_regist_descriptor(struct usb_otg_control *control,
				 struct ups_port_descriptor *desc);
extern void ups_unregist_descriptor(struct usb_otg_control *control);

#endif  /* _UPS_H_ */
